@include('includes.logo-sidebar')

<!-- Sidebar navigation-->
<nav class="sidebar-nav scroll-sidebar" data-simplebar="">
    <ul id="sidebarnav">
        <li class="nav-small-cap">
            <i class="ti ti-dots nav-small-cap-icon fs-4"></i>
            <span class="hide-menu">Home</span>
        </li>
        <li class="sidebar-item">
            <a class="sidebar-link" href="{{ URL::to('admin/dashboard') }}" aria-expanded="false">
                <span>
                    <i class="ti ti-layout-dashboard"></i>
                </span>
                <span class="hide-menu">Dashboard</span>
            </a>
        </li>
        <li class="nav-small-cap">
            <i class="ti ti-dots nav-small-cap-icon fs-4"></i>
            <span class="hide-menu">Pengguna</span>
        </li>
        <li class="sidebar-item">
            <a class="sidebar-link" href="{{ URL::to('admin/profile') }}" aria-expanded="false">
                <span>
                    <i class="ti ti-user"></i>
                </span>
                <span class="hide-menu">Profile</span>
            </a>
        </li>
        @role(['Admin', 'Staff'])
            <li class="sidebar-item">
                <a class="sidebar-link" href="{{ URL::to('admin/respondens') }}" aria-expanded="false">
                    <span>
                        <i class="ti ti-users"></i>
                    </span>
                    <span class="hide-menu">Data Responden</span>
                </a>
            </li>
        @endrole

        <li class="nav-small-cap">
            <i class="ti ti-dots nav-small-cap-icon fs-4"></i>
            <span class="hide-menu">Survey Kepuasan Layanan </span>
        </li>
        <li class="sidebar-item">
            <a class="sidebar-link" href="{{ URL::to('admin/surveys') }}" aria-expanded="false">
                <span>
                    <i class="ti ti-file-database"></i>
                </span>
                <span class="hide-menu">Pertanyaan Survei</span>
            </a>
        </li>
        {{-- <li class="sidebar-item">
            <a class="sidebar-link" href="#statistik-survei" aria-expanded="false">
                <span>
                    <i class="ti ti-chart-infographic"></i>
                </span>
                <span class="hide-menu">Statistik Survei</span>
            </a>
        </li> --}}
        @role(['Admin'])
            {{-- Management Master --}}
            <li class="nav-small-cap">
                <i class="ti ti-dots nav-small-cap-icon fs-4"></i>
                <span class="hide-menu">Data Master</span>
            </li>
            <li class="sidebar-item">
                <a class="sidebar-link" href="{{ URL::to('master/management-master') }}" aria-expanded="false">
                    <span>
                        <i class="ti ti-database"></i>
                    </span>
                    <span class="hide-menu">Manajemen Master</span>
                </a>
            </li>
            <li class="sidebar-item">
                <a class="sidebar-link has-arrow" href="javascript:void(0)" aria-expanded="false">
                    <span class="d-flex">
                        <i class="ti ti-layout-sidebar"></i>
                    </span>
                    <span class="hide-menu">Master</span>
                </a>
                <ul aria-expanded="false" class="collapse first-level">
                    <li class="sidebar-item">
                        <a href="{{ URL::to('master/master-agama') }}" class="sidebar-link">
                            <div class="round-16 d-flex align-items-center justify-content-center">
                                <i class="ti ti-circle"></i>
                            </div>
                            <span class="hide-menu">Master Agama</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a href="{{ URL::to('master/master-provinsi') }}" class="sidebar-link">
                            <div class="round-16 d-flex align-items-center justify-content-center">
                                <i class="ti ti-circle"></i>
                            </div>
                            <span class="hide-menu">Master Provinsi</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a href="{{ URL::to('master/master-kabupaten') }}" class="sidebar-link">
                            <div class="round-16 d-flex align-items-center justify-content-center">
                                <i class="ti ti-circle"></i>
                            </div>
                            <span class="hide-menu">Master Kabupaten</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a href="{{ URL::to('master/master-kecamatan') }}" class="sidebar-link">
                            <div class="round-16 d-flex align-items-center justify-content-center">
                                <i class="ti ti-circle"></i>
                            </div>
                            <span class="hide-menu">Master Kecamatan</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a href="{{ URL::to('master/master-kelurahan') }}" class="sidebar-link">
                            <div class="round-16 d-flex align-items-center justify-content-center">
                                <i class="ti ti-circle"></i>
                            </div>
                            <span class="hide-menu">Master Kelurahan</span>
                        </a>
                    </li>
                </ul>
            </li>

            {{-- Management User --}}
            <li class="nav-small-cap">
                <i class="ti ti-dots nav-small-cap-icon fs-4"></i>
                <span class="hide-menu">Manajemen Pengguna</span>
            </li>
            <li class="sidebar-item">
                <a class="sidebar-link" href="{{ URL::to('admin/users') }}" aria-expanded="false">
                    <span>
                        <i class="ti ti-users"></i>
                    </span>
                    <span class="hide-menu">Data Pengguna</span>
                </a>
            </li>
            <li class="sidebar-item">
                <a class="sidebar-link" href="#role" aria-expanded="false">
                    <span>
                        <i class="ti ti-user-exclamation"></i>
                    </span>
                    <span class="hide-menu">Hak Akses Pengguna</span>
                </a>
            </li>
        @endrole
    </ul>
</nav>
<!-- End Sidebar navigation -->

<div class="fixed-profile p-3 mx-4 mb-2 bg-secondary-subtle rounded sidebar-ad mt-3">
    <div class="hstack gap-3">
        <div class="john-img">
            <img src="{{ asset('assets/images/profile/user-1.jpg') }}" class="rounded-circle" width="40"
                height="40" alt="" />
        </div>
        <div class="john-title">
            <h6 class="mb-0 fs-3 fw-normal">{{ auth()->user()->name }}</h6>
            <span class="fs-2">{{ auth()->user()->getRoleNames()[0] }}</span>
        </div>
        <a href="{{ route('auth.logout') }}" class="border-0 bg-transparent text-primary ms-auto" tabindex="0"
            type="button" aria-label="logout" data-bs-toggle="tooltip" data-bs-placement="top"
            data-bs-title="logout">
            <i class="ti ti-power fs-6"></i>
        </a>
    </div>
</div>
