@extends('layouts.app')
@section('title', 'Ubah Data Manajemen Master')
@section('content')
    <!-- Button Back -->
    <a href="{{ URL::to('master/management-master') }}" class="mb-3 badge text-bg-light text-primary">
        <i class="ti ti-arrow-left">&nbsp;</i> Kembali
    </a>

    <div class="row d-flex align-items-strech">
        <div class="col-lg-6 mx-auto">
            <div class="card">
                <div class="card-header">
                    <h3>Edit Manajemen Master</h3>
                </div>
                <div class="card-body border-top">
                    <form method="post" action="{{ route('master.management-master.update', $management_master->id) }}">
                        @csrf
                        @method('PUT')
                        <div class="mb-3">
                            <label for="master_code" class="form-label">Kode Model</label>
                            <input type="text" class="form-control" id="master_code" name="master_code"
                                placeholder="Contoh: Master Agama"
                                value="{{ isset($management_master->master_code) ? $management_master->master_code : '' }}"
                                required>
                            <!-- error message-->
                            @error('master_code')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="master_value" class="form-label">Master Model</label>
                            <input type="text" class="form-control" id="master_value" name="master_value"
                                value="{{ isset($management_master->master_value) ? $management_master->master_value : '' }}"
                                placeholder="Contoh: Agama diambil dari model master" required>
                            {{-- <div id="master_value_help" class="form-text">Isikan nama model yang diambil dari App/Models/Master .</div> --}}
                            <!-- error message -->
                            @error('master_value')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="master_column" class="form-label">Nama Kolom</label>
                            <input type="text" class="form-control" id="master_column" name="master_column"
                                value="{{ isset($management_master->master_column) ? $management_master->master_column : '' }}"
                                placeholder="Contoh: Agama diambil dari model master" required>
                            {{-- <div id="master_column_help" class="form-text">Isikan nama model yang diambil dari App/Models/Master .</div> --}}
                            <!-- error message -->
                            @error('master_column')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@stop
